# Used by scratchbox-base and scratchbox-utils

ifndef NO_CVS_SITE

MASTER_SITES += cvs://:ext:$(USER)@scratchbox.org:/cvsroot/scratchbox/

CHECKSUM_FILE = $(WORKDIR)/checksums

pre-everything:
	install -d $(WORKDIR)
	ln -s ../../checksums $(WORKDIR)/checksums
	$(MAKECOOKIE)

cvs//%:
	install -d $(WORKDIR) $(DOWNLOADDIR) $(COOKIEDIR)

	cd $(WORKDIR) && \
	cvs -d `dirname $*` co -r $(CVSTAG) $(GARNAME) && \
	mv $(GARNAME) $(GARNAME)-$(GARVERSION)

	ln -sf /dev/null $(DOWNLOADDIR)/`basename $*`
	rm -f $(WORKDIR)/checksums
	md5sum $(DOWNLOADDIR)/`basename $*` > $(WORKDIR)/checksums

endif
